\section{Conventions}
A lot of cross references are used because they make it easier to find other corresponding parts within the document. A link looks like ``($\rightarrow$ \ref{fonts})'' and always belongs to the word(s) right before it.

Further, this document distinguishes between different types of rules. An explanation of these types and the appropriate symbol is shown in table \ref{tab:ruleTypes}.\\
\begin{table}[htb]
	\begin{center}
		\begin{tabular}{lll}
			\toprule
			symbol	& type			& description\\
			\midrule
			(*)		& important		& This rule should be followed in any case.\\
			(x)		& recommended	& Coding and reading is a lot easier with this rule.\\
			(o)		& practical		& Your code quality will improve using the rule.\\
			none		& hints			& Just giving you an idea of how it could be.\\
			\bottomrule
		\end{tabular}
	\end{center}
	
	\caption{Rule types}
	\label{tab:ruleTypes}
\end{table}